data:extend({
	--Create the recipe
	{
		type = "recipe",
		name = "example-decoration",
		enabled = "true",
		energy_required = 1,
		ingredients = {},
		result = "example-decoration",
	},
	--Create the item
	{
		type = "item",
		name = "example-decoration",
		icon = "__example-animated-decoration__/graphics/icons/example-decoration.png",
		flags = {"goes-to-quickbar"},
		subgroup = "defensive-structure",
		order = "b[turret]-c[example-decoration]",
		place_result = "example-decoration",
		stack_size = 600
	},
	--Create the placed object itself
	{
		--Okay, so you know how placed machines only play their animations when they are working?  Well biter spawners are always working.  This animated decoration works by being a biter spawner which never spawns any biters and which can be mined up and moved.  If this object is placed right after a new game is started then its animation may not work, but you can mine it up and place it again.
		
		type = "unit-spawner",
		name = "example-decoration",
		icon = "__example-animated-decoration__/graphics/icons/example-decoration.png",
		flags = {"placeable-neutral", "placeable-player", "player-creation"},
		minable = {hardness = 0.1, mining_time = 0.5, result = "example-decoration"},
		max_health = 100,
		corpse = "medium-remnants",
		dying_explosion = "medium-explosion",
		resistances = {
			{
				type = "fire",
				percent = 60
			}
		},
		
		collision_box = {{-0.75, -0.75}, {0.75, 0.75}},
		selection_box = {{-1.0, -1.0}, {1.0, 1.0}},
		light = {intensity = 1.00, size = 8},
		
		animations =
		{
			{
				filename = "__example-animated-decoration__/graphics/entity/example-decoration.png",
				priority="high",
				width = 64,
				height = 64,
				frame_count = 4,
				line_length = 4,
				run_mode = "forward-then-backward",
				animation_speed = 1/3,
--				shift = {0.5, 0.5},
--				scale = 0.66
			}
		},
		
		pollution_absorbtion_absolute = 0,
		pollution_absorbtion_proportional = 0,
		
		--This biter spawner never actually spawns any biters, but it needs to be attached to at least one type of biter
		--Its spawn rate is maxed at 0 though
		result_units = (function()
				 local res = {}
				 res[1] = {"small-biter", {{0.0, 0.3}, {0.6, 0.0}}}
				 return res
			   end)(),
		spawning_cooldown = {99999, 99999},
		spawning_radius = 10,
		spawning_spacing = 3,
		max_count_of_owned_units = 0,
		max_friends_around_to_spawn = 0,
		spawning_radius = 0,
		spawning_spacing = 0,
		max_spawn_shift = 0,
		max_richness_for_spawn_shift = 0,
		call_for_help_radius = 0
	}
})
